# OsiChooseStrongSubset Class Reference

This class chooses a variable to branch on. More...

`#include <CbcLinked.hpp>`

Inheritance diagram for OsiChooseStrongSubset:
[legend]
Collaboration diagram for OsiChooseStrongSubset:
[legend]

List of all members.

## Public Member Functions
| OsiChooseStrongSubset ()
| Default Constructor.
| OsiChooseStrongSubset (const OsiSolverInterface *solver)
| Constructor from solver (so we can set up arrays etc).
| OsiChooseStrongSubset (const OsiChooseStrongSubset &)
| Copy constructor.
OsiChooseStrongSubset & | operator= (const OsiChooseStrongSubset &rhs)
| Assignment operator.
virtual OsiChooseVariable * | clone () const
| Clone.
virtual | ~OsiChooseStrongSubset ()
| Destructor.
virtual int | setupList (OsiBranchingInformation *info, bool initialize)
| Sets up strong list and clears all if initialize is true.
virtual int | chooseVariable (OsiSolverInterface *solver, OsiBranchingInformation *info, bool fixVariables)
| Choose a variable Returns - -1 Node is infeasible 0 Normal termination - we have a candidate 1 All looks satisfied - no candidate 2 We can change the bound on a variable - but we also have a strong branching candidate 3 We can change the bound on a variable - but we have a non-strong branching candidate 4 We can change the bound on a variable - no other candidates We can pick up branch from bestObjectIndex() and bestWhichWay() We can pick up a forced branch (can change bound) from firstForcedObjectIndex() and firstForcedWhichWay() If we have a solution then we can pick up from goodObjectiveValue() and goodSolution() If fixVariables is true then 2,3,4 are all really same as problem changed.
int | numberObjectsToUse () const
| Number of objects to use.
void | setNumberObjectsToUse (int value)
| Set number of objects to use.
## Protected Attributes
int | numberObjectsToUse_
| Number of objects to be used (and set in solver).

## Detailed Description

This class chooses a variable to branch on.

This is just as OsiChooseStrong but it fakes it so only first so many are looked at in this phase

Definition at line 1203 of file CbcLinked.hpp.

## Constructor & Destructor Documentation

OsiChooseStrongSubset::OsiChooseStrongSubset | ( |  | ) |

Default Constructor.

OsiChooseStrongSubset::OsiChooseStrongSubset | ( | const OsiSolverInterface * | solver | ) |

Constructor from solver (so we can set up arrays etc).

OsiChooseStrongSubset::OsiChooseStrongSubset | ( | const OsiChooseStrongSubset & |  | ) |

Copy constructor.

virtual OsiChooseStrongSubset::~OsiChooseStrongSubset | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

OsiChooseStrongSubset& OsiChooseStrongSubset::operator= | ( | const OsiChooseStrongSubset & | rhs | ) |

Assignment operator.

Reimplemented from OsiChooseStrong.

virtual OsiChooseVariable* OsiChooseStrongSubset::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from OsiChooseStrong.

virtual int OsiChooseStrongSubset::setupList | ( | OsiBranchingInformation * | info,
|  | bool | initialize |
| ) |  |  | `[virtual]`

Sets up strong list and clears all if initialize is true.

Returns number of infeasibilities. If returns -1 then has worked out node is infeasible!

Reimplemented from OsiChooseStrong.

virtual int OsiChooseStrongSubset::chooseVariable | ( | OsiSolverInterface * | solver,
|  | OsiBranchingInformation * | info,
|  | bool | fixVariables |
| ) |  |  | `[virtual]`

Choose a variable Returns - -1 Node is infeasible 0 Normal termination - we have a candidate 1 All looks satisfied - no candidate 2 We can change the bound on a variable - but we also have a strong branching candidate 3 We can change the bound on a variable - but we have a non-strong branching candidate 4 We can change the bound on a variable - no other candidates We can pick up branch from bestObjectIndex() and bestWhichWay() We can pick up a forced branch (can change bound) from firstForcedObjectIndex() and firstForcedWhichWay() If we have a solution then we can pick up from goodObjectiveValue() and goodSolution() If fixVariables is true then 2,3,4 are all really same as problem changed.

Reimplemented from OsiChooseStrong.

int OsiChooseStrongSubset::numberObjectsToUse | ( |  | ) | const`[inline]`

Number of objects to use.

Definition at line 1246 of file CbcLinked.hpp.

void OsiChooseStrongSubset::setNumberObjectsToUse | ( | int | value | ) | `[inline]`

Set number of objects to use.

Definition at line 1250 of file CbcLinked.hpp.

## Member Data Documentation

int OsiChooseStrongSubset::numberObjectsToUse_`[protected]`

Number of objects to be used (and set in solver).

Definition at line 1257 of file CbcLinked.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcLinked.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines